%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-DH
Version:       0.07
Release:       1mamba
Summary:       Crypt::DH - A module implementing the Diffie-Hellman key exchange system
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-DH-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Crypt-Random
Requires:      perl >= %perl_major_ver

%description
This is Crypt::DH, a module implementing the Diffie-Hellman key exchange system.

%prep
%setup -q -n Crypt-DH-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
#make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

rm -f %{buildroot}%{_prefix}/lib/perl5/*/*/perllocal.pod

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 0.07-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-3mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-2mamba
- automatic rebuild by autodist

* Wed Sep 12 2007 Aleph0 <aleph0@openmamba.org> 0.06-1mamba
- update to 0.06
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.03-1qilnx
- first build
